org.codehaus.plexus.component.configurator

## Class AbstractComponentConfigurator

- java.lang.Object
- - org.codehaus.plexus.component.configurator.AbstractComponentConfigurator

All Implemented Interfaces:
  ComponentConfigurator

Direct Known Subclasses:
  BasicComponentConfigurator, MapOrientedComponentConfigurator

    public abstract class AbstractComponentConfigurator
    extends java.lang.Object
    implements ComponentConfigurator

Version:
  $Id: AbstractComponentConfigurator.java 6993 2007-10-23 07:15:56Z jvanzyl $
Author:
  Brett Porter

### Field Summary

Fields
`protected ConverterLookup` `converterLookup` This is being instantiated here because there are old component factories (beanshell) that directly access the converterLookup but do not yet state the ConverterLookup as a requirement in the component metadata.

### Fields inherited from interface org.codehaus.plexus.component.configurator.ComponentConfigurator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentConfigurator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configureComponent(java.lang.Object component, PlexusConfiguration configuration, org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm)`
`void` `configureComponent(java.lang.Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm)`
`void` `configureComponent(java.lang.Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm, ConfigurationListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### converterLookup

    protected ConverterLookup converterLookup

This is being instantiated here because there are old component factories (beanshell) that directly access the converterLookup but do not yet state the ConverterLookup as a requirement in the component metadata. Once these are wired up as standard components properly then we won't have to instantiate the converter lookup here and we can let the container do it.

### Constructor Detail

#### AbstractComponentConfigurator

    public AbstractComponentConfigurator()

### Method Detail

#### configureComponent

    public void configureComponent(java.lang.Object component,
                                   PlexusConfiguration configuration,
                                   org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm)
                            throws ComponentConfigurationException

Specified by:
  `configureComponent` in interface `ComponentConfigurator`
Throws:
  `ComponentConfigurationException`

#### configureComponent

    public void configureComponent(java.lang.Object component,
                                   PlexusConfiguration configuration,
                                   ExpressionEvaluator expressionEvaluator,
                                   org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm)
                            throws ComponentConfigurationException

Specified by:
  `configureComponent` in interface `ComponentConfigurator`
Throws:
  `ComponentConfigurationException`

#### configureComponent

    public void configureComponent(java.lang.Object component,
                                   PlexusConfiguration configuration,
                                   ExpressionEvaluator expressionEvaluator,
                                   org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm,
                                   ConfigurationListener listener)
                            throws ComponentConfigurationException

Specified by:
  `configureComponent` in interface `ComponentConfigurator`
Throws:
  `ComponentConfigurationException`